CREATE TABLE ad_snapshot_files (
    SNAPSHOT_FILE_ID          NUMBER           NOT NULL,
    SNAPSHOT_ID               NUMBER           NOT NULL,
    FILE_ID                   NUMBER           NOT NULL,
    CONTAINING_FILE_ID        NUMBER       ,
    FILE_SIZE                 NUMBER       ,
    CHECKSUM                  NUMBER       ,
    FILE_VERSION_ID           NUMBER       ,
    UPDATE_SOURCE_ID          NUMBER           NOT NULL,
    UPDATE_TYPE               VARCHAR2(4)      NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    APPL_TOP_ID               NUMBER       ,
    INCONSISTENT_FLAG         VARCHAR2(4)  ,
    SERVER_TYPE_ADMIN_FLAG    VARCHAR2(4)  ,
    SERVER_TYPE_FORMS_FLAG    VARCHAR2(4)  ,
    SERVER_TYPE_NODE_FLAG     VARCHAR2(4)  ,
    SERVER_TYPE_WEB_FLAG      VARCHAR2(4)  ,
    DEST_FILE_ID              NUMBER       ,
    FILE_TYPE_FLAG            VARCHAR2(4)  ,
    IREP_GATHERED_FLAG        VARCHAR2(4)  ,
    LAST_PATCHED_DATE         DATE         ,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    ORA_EDITION_CONTEXT       VARCHAR2(120)    NOT NULL,
    SNAPSHOT_FILE_ID          NUMBER           NOT NULL,
    SNAPSHOT_ID               NUMBER           NOT NULL,
    FILE_ID                   NUMBER           NOT NULL,
    CONTAINING_FILE_ID        NUMBER       ,
    FILE_SIZE                 NUMBER       ,
    CHECKSUM                  NUMBER       ,
    FILE_VERSION_ID           NUMBER       ,
    UPDATE_SOURCE_ID          NUMBER           NOT NULL,
    UPDATE_TYPE               VARCHAR2(4)      NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    APPL_TOP_ID               NUMBER       ,
    INCONSISTENT_FLAG         VARCHAR2(4)  ,
    SERVER_TYPE_ADMIN_FLAG    VARCHAR2(4)  ,
    SERVER_TYPE_FORMS_FLAG    VARCHAR2(4)  ,
    SERVER_TYPE_NODE_FLAG     VARCHAR2(4)  ,
    SERVER_TYPE_WEB_FLAG      VARCHAR2(4)  ,
    DEST_FILE_ID              NUMBER       ,
    FILE_TYPE_FLAG            VARCHAR2(4)  ,
    IREP_GATHERED_FLAG        VARCHAR2(4)  ,
    LAST_PATCHED_DATE         DATE         ,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    ORA_EDITION_CONTEXT       VARCHAR2(120)    NOT NULL
);
